import { Observable } from "rxjs";
interface BinderOptions {
    repo?: string;
    ref?: string;
    binderURL?: string;
}
/**
 * Returns a URL for initializing a connection to Binder.
 *
 * @param options An object containing the details of the Binder connection
 *
 * @returns A Binder URL
 */
export declare const formBinderURL: ({ repo, ref, binderURL }?: BinderOptions) => string;
export interface IEventSource {
    onmessage?: (evt: MessageEvent) => void;
    onerror?: (reason: any) => void;
    close(): void;
}
declare type IEventSourceConstructor = new (url: string) => IEventSource;
/**
 * Returns an observable stream for mybinder.org or any related
 *
 * @param options repo and other options to connect
 * @param EventSourceDI allows overriding EventSource for testing
 *
 * @returns An Observable with a connection to a Binder instance
 */
export declare const binder: (options: BinderOptions, EventSourceDI?: IEventSourceConstructor) => Observable<any>;
export {};
